Upstream information

CVE-2016-2175 at MITRE

Description

Apache PDFBox before 1.8.12 and 2.x before 2.0.1 does not properly initialize the XML parsers, which allows context-dependent attackers to conduct XML External Entity (XXE) attacks via a crafted PDF.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Attack Vector Local
Attack Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 1100006 [RESOLVED / UPSTREAM]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Development Tools 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • apache-pdfbox >= 1.8.12-5.6.3
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA apache-pdfbox-1.8.12-5.6.3
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Development Tools 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • apache-pdfbox >= 1.8.16-1.68
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP3 GA apache-pdfbox-1.8.16-1.68
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Development Tools 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • apache-pdfbox >= 1.8.16-1.68
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP2 GA apache-pdfbox-1.8.16-1.68
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache-pdfbox >= 1.8.12-1.29
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA apache-pdfbox-1.8.12-1.29
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • apache-pdfbox >= 1.8.12-3.5.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA apache-pdfbox-1.8.12-3.5.4
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • apache-pdfbox >= 1.8.16-1.68
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA apache-pdfbox-1.8.16-1.68
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • apache-pdfbox >= 1.8.12-3.77
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA apache-pdfbox-1.8.12-3.77
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • apache-pdfbox >= 1.8.12-3.5.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA apache-pdfbox-1.8.12-3.5.4
openSUSE Tumbleweed
  • apache-pdfbox >= 1.8.12-1.6
  • apache-pdfbox-javadoc >= 1.8.12-1.6
Patchnames:
openSUSE Tumbleweed GA apache-pdfbox-1.8.12-1.6


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Server 12 SP5 apache-pdfbox Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 apache-pdfbox Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 apache-pdfbox Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 apache-pdfbox Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 apache-pdfbox Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS apache-pdfbox Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS apache-pdfbox Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS apache-pdfbox Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS apache-pdfbox Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 apache-pdfbox Not affected
SUSE Linux Enterprise Server 12 SP4 apache-pdfbox Already fixed
SUSE Linux Enterprise Server 15 SP1 apache-pdfbox Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS apache-pdfbox Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache-pdfbox Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 apache-pdfbox Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 apache-pdfbox Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 apache-pdfbox Not affected
SUSE Enterprise Storage 6 apache-pdfbox Not affected
SUSE Linux Enterprise Desktop 12 SP3 apache-pdfbox Not affected
SUSE Linux Enterprise Desktop 12 SP4 apache-pdfbox Already fixed
SUSE Linux Enterprise Desktop 15 apache-pdfbox Not affected
SUSE Linux Enterprise Desktop 15 SP1 apache-pdfbox Not affected
SUSE Linux Enterprise Module for Development Tools 15 apache-pdfbox Not affected
SUSE Linux Enterprise Server 12 SP3 apache-pdfbox Not affected
SUSE Linux Enterprise Server 15 apache-pdfbox Not affected
SUSE Linux Enterprise Server 15 SP1-BCL apache-pdfbox Not affected
SUSE Linux Enterprise Server 15-LTSS apache-pdfbox Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 apache-pdfbox Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 apache-pdfbox Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 apache-pdfbox Already fixed
SUSE Manager Proxy 4.0 apache-pdfbox Not affected
SUSE Manager Retail Branch Server 4.0 apache-pdfbox Not affected
SUSE Manager Server 4.0 apache-pdfbox Not affected


SUSE Timeline for this CVE

CVE page created: Fri May 27 09:17:17 2016
CVE page last modified: Mon Jan 16 17:13:59 2023